Unable to update Wii U firmware

Discussion in 'Wii U - Hacking & Backup Loaders' started by mrbluru, Apr 2, 2014.

  1. mrbluru
    OP

    mrbluru Member

    Newcomer
    17
    0
    Apr 2, 2014
    Sorry for the newb post but I've searched high and low and can't seem to find an answer for this

    So the full story is since the update for 4.0.3 came out I have been unable to update my Wii U, and as such unable to connect to eShop, Netflix etc. The update (and the newer 4.1.0 update) would download and then when installing hang at about 30% before giving me the error code 162-0002

    I had softmodded the vWii of my Wii U so any direct help from Nintendo is out of the question and I have tried all the steps suggested here

    http://www.se7ensins.com/forums/threads/error-code-162-0002-solutions.1021165/

    However none of these worked. I had even read that removing traces of custom vWii IOSs and restoring their backups would help but so far I have had no luck with it

    I tried a full system wipe from the Wii U menu and while that remove HBC etc from the vWii I understand that some traces of it can remain.

    I was essentially wondering if there was any way to fully wipe the Wii U memory, possibly by formatting the Nand (as is possible to virginize modded Wiis) and whether this will help? Or if anyone else knows a potential fix for this error

    Or otherwise is there any way to install the Wii U firmware updates from USB, disc or SD, just in case it is the update itself that is corrupting when it downloads
     


  2. Ray Lewis

    Ray Lewis Banned

    Banned
    1,518
    386
    Dec 30, 2012
    United States
    Disc updates may work. Need a newer version than you currently have of course. Seen this happen before. It usually ends up being a corrupted download.
     
  3. Kailey

    Kailey Newbie

    Newcomer
    7
    0
    Apr 2, 2014
    United States
    Oklahoma
    I had this same problem for a long time also. I started doing some research into this, and i found that your versions of cIOS have a lot to do with this. For some reason the updates look at cIOS 249 250 and 251. If you have the incorrect ones installed it will cause that error. I replaced them with the correct versions and then it updated fine. The versions I have installed are IOS56-64-v5918, IOS57-64-v6175 and IOS58-64-v6432. All installed from wad. Everything works, and console updates again.

    PS screw nintendo. They couldnt even tell me that.
     
  4. Ray Lewis

    Ray Lewis Banned

    Banned
    1,518
    386
    Dec 30, 2012
    United States
    Great e="Kailey, post: 4959106, member: 347568"]I had this same problem for a long time also. I started doing some research into this, and i found that your versions of cIOS have a lot to do with this. For some reason the updates look at cIOS 249 250 and 251. If you have the incorrect ones installed it will cause that error. I replaced them with the correct versions and then it updated fine. The versions I have installed are IOS56-64-v5918, IOS57-64-v6175 and IOS58-64-v6432. All installed from wad. Everything works, and console updates again.

    PS screw nintendo. They couldnt even tell me that.[/quote]
    Great share, makes some sense:-)
     
  5. Arras

    Arras GBAtemp Guru

    Member
    5,857
    2,673
    Sep 14, 2010
    Netherlands
    They couldn't tell you that because the moment you do anything like modding to your console it's not their problem anymore, lol.
     
  6. Kailey

    Kailey Newbie

    Newcomer
    7
    0
    Apr 2, 2014
    United States
    Oklahoma
    This is true. Im not a dev but Im smart enough to reverse engineer a little and find what causes my issues.
     
  7. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    21,173
    10,062
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Unless you went online, I don't really see being unable to update as a bad thing lol, esp. if the console has been hacked, but that's just me :P
     
  8. Kailey

    Kailey Newbie

    Newcomer
    7
    0
    Apr 2, 2014
    United States
    Oklahoma
    That's just it. It automatically downloads the updates and tries to install them. If it fails you will get a constant nag about it needing updated and the online abilities cease until you do. While not required in vwii, it is nice to have the system operate the way it is supposed to even after being modded.
     
  9. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    21,173
    10,062
    Apr 29, 2011
    United States
    Dr. Wahwee's castle

    Have you had a chance to go into the WiFi settings, does it let you go into that part of the menu? That's really weird.
     
  10. Kailey

    Kailey Newbie

    Newcomer
    7
    0
    Apr 2, 2014
    United States
    Oklahoma
    I don't have any issues with my wii u. I merely answered the original question on what causes his error as I had the same problem and figured out what it was. Mine updates as always with no problems after I fixed it.
     
  11. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    21,173
    10,062
    Apr 29, 2011
    United States
    Dr. Wahwee's castle

    Whoops, sorry for the confusion :D
     
  12. cobleman

    cobleman GBAtemp Maniac

    Member
    1,458
    19
    Jun 23, 2009
    Australia
    I had troubles updating a couple of times ended up being my laggy internet causing the problem!
     
  13. slingblade1170

    slingblade1170 GBAtemp Advanced Fan

    Member
    875
    204
    Mar 15, 2009
    United States
    I had the same issue, fixed it by installing an original IOS36 wad file.
     
  14. mrbluru
    OP

    mrbluru Member

    Newcomer
    17
    0
    Apr 2, 2014
    Hey everyone, thanks for the replies so far you've given me some hope that it may be fixable

    I have tried installing an original ios36 wad but unfortunately it didn't help

    I've been trying to install those ios56,57 & 58 into 249, 250 & 251 but I'm having some trouble. If I load dxcios installer from hbc directly it bypasses the screen asking me which ios to use for the installation and therefore loads 58 and cant install. If I load ios 236 In mmm then load dxcios installer from there it will load wih the correct ios but it will not allow me to switch the dx revision past r6 and therefore not the correct ios versions.
    I have wads for the exact ios I need and I know which slots they need to go in but is there another way of them getting installed or any suggestions to help the problem I'm having?
     
  15. slingblade1170

    slingblade1170 GBAtemp Advanced Fan

    Member
    875
    204
    Mar 15, 2009
    United States
    I should have been a bit more specific, first use anytitle deleter and delete IOS236, IOS249, IOS250 and install an original IOS36 and remove the HBC. Then try the update, if you are still having issues it could easily be your router as well, that also happened to me with system updates as well.
     
  16. mrbluru
    OP

    mrbluru Member

    Newcomer
    17
    0
    Apr 2, 2014
    Thanks slingblade, I've tried this today but unfortunately it didn't work. I'm thinking/hoping it's my router, although i also tried my using my phone as a network hub too and it still wouldn't update
     
  17. slingblade1170

    slingblade1170 GBAtemp Advanced Fan

    Member
    875
    204
    Mar 15, 2009
    United States
    Damn! Hate to hear that. I know it didn't help but I had the 162-0002 plague my Wii U as well and its annoying. I also noticed you actually went by my guide on se7ensins, lol did you catch that?
     
  18. mrbluru
    OP

    mrbluru Member

    Newcomer
    17
    0
    Apr 2, 2014
    Ha! Didn't spot it was you, a great guide know from my searching it's helped a lot of people
     
  19. airline38

    airline38 GBAtemp Advanced Fan

    Member
    746
    163
    Mar 28, 2010
    Taiwan
    Not sure if this will help or not but I did an experiment before:

    I intended to install a normal Wii IOS41 v3607 (it's v3683 for vWii)
    on my US vWii. Although it's no hurt , I got the same error(162-1002)
    when I tried to upgrade from 4.0.0U to 4.0.2U.

    After I deleted this Wii IOS41 v3607 then I had no problem to upgrade.

    Also I recall I did a similar experiment before:

    I installed(intended) the Wii version of IOS58 v6176(it's v6432 for vWii) on my vWii
    to cause my HBC not working. Then I re-install (tried many ways) vWii IOS58 v6432
    but I can't re-install HBC via Hackmii installer.(it keep telling me I don't have a
    valuable IOS)
    Finally I used the way -> deleted IOS58 v6432 then wait Nintendo's official upgrade
    to install the "official IOS58" automatically. Then I can install HBC again.

    Just for your information...
     
  20. Kailey

    Kailey Newbie

    Newcomer
    7
    0
    Apr 2, 2014
    United States
    Oklahoma
    The way I installed my cIOS was through MMM and installed the wads. I loaded cIOS 236 and installed them. Then I ran the dx2 installer afterwards to install the 53 alt vwii on those same cIOS. Thats what fixed mine.